DocsHTTP APISearch retained job logs

Search retained job logs

Search retained job logs. Use GET /workflows/{workflow_id}/jobs/{job_id}/logs/search in Chronoverse, with authentication, parameters, and response details.

GET
/workflows/{workflow_id}/jobs/{job_id}/logs/search

Authentication

cookieSession
apiKey
required

Encrypted session cookie issued after registration or login.

cookie: session

Parameters

workflow_id
path
required

No additional description.

string · uuid
job_id
path
required

No additional description.

string · uuid
cursor
query

Opaque pagination cursor

string
stream
query

No additional description.

stringenum: stdout | stderr
q
query

Search query. Omit for stream-only filtering.

string

Responses

200

Retained logs in descending sequence order

application/json
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string",
      "format": "uuid",
      "description": "Job ID"
    },
    "workflow_id": {
      "type": "string",
      "format": "uuid"
    },
    "logs": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "timestamp": {
            "type": "string",
            "format": "date-time"
          },
          "message": {
            "type": "string"
          },
          "sequence_num": {
            "type": "integer",
            "minimum": 0
          },
          "stream": {
            "type": "string",
            "enum": [
              "stdout",
              "stderr"
            ]
          },
          "event_id": {
            "type": "string"
          }
        }
      }
    },
    "cursor": {
      "type": "string"
    },
    "highlight_token": {
      "type": "string",
      "description": "Marker inserted around search matches in log messages"
    }
  }
}
401

Missing or invalid session

412

Current workflow or job state does not allow the operation

429

Ingress rate or connection limit exceeded for the client address